TokyoTyrantTable::getQuery
TokyoTyrantTable::put
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::out

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantTable::out — Remove records

### 説明

public void TokyoTyrantTable::out ( mixed `$keys` )

Removes records from a table database.

### パラメータ

`keys`

  A single integer key or an array of integers

### 返り値

This method returns the current object and throws TokyoTyrantException on failure.

### 例

例1 TokyoTyrantTable::out example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Passing null to put generates a new uid */
$index = $tt->put(null, array("column1" => "some data", "column2" => "more data"));
/* Delete the row */
$tt->out($index);
?>`

### 参考

- TokyoTyrantTable::put - Store a row

TokyoTyrantTable::getQuery
TokyoTyrantTable::put
TokyoTyrantTable
PHP Manual